#!/bin/bash
# Creates a tarball with sources
# Dependencies: bash, rm, sed, grep, tar

shopt -s extglob

NAME="keyconfig"
SRC_DIR="src"
VERSION=$(grep em:version "$SRC_DIR"/install.rdf | sed -e 's/<[^>]*>//g')
VERSION=${VERSION// /} # trim whitespace

# remove old tarball if it exists
if [ -f "$NAME-$VERSION-src.tar.bz2" ]
then
    rm -vf "$NAME-$VERSION-src.tar.bz2"
fi

tar -cvjf "$NAME-$VERSION-src.tar.bz2" src *.sh *.pl README LICENSE
